# Book Moderation Sync

This module synchronizes moderation states between books and their children in Drupal 10 and 11. When the moderation state of a book is changed, the same state is automatically applied to all its child nodes (e.g., chapters, interactive images).

## Features
- Automatically syncs moderation states between books and their children.
- Compatible with Drupal 10 and 11.
- Seamless integration with the `book` and `content_moderation` modules.

## Installation
1. Download and enable the module via the Drupal admin interface or using Drush:
   ```bash
   drush en book_moderation_sync
   ```
2. Create or edit a book and its child nodes.

3. Change the moderation state of the book, and all child nodes will automatically inherit the same state.

## Support
For issues or feature requests, please open an issue on the project page.

## License
This project is licensed under the GNU General Public License v2.0.